Browse Source

Update JS dependencies (#18898)

- Updated all JS dependencies minus Vue (update 2 to 3 requires a ton of
  work and is probably blocked by dependencies)
- Tested editor, swagger-ui
pull/18905/head
silverwind 3 months ago committed by GitHub
parent
commit
65689f6b37
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23
  1. 1
      .eslintrc
  2. 1
      .stylelintrc
  3. 1851
      package-lock.json
  4. 26
      package.json

1
.eslintrc

@ -442,6 +442,7 @@ rules: @@ -442,6 +442,7 @@ rules:
unicorn/require-post-message-target-origin: [0]
unicorn/string-content: [0]
unicorn/template-indent: [2]
unicorn/text-encoding-identifier-case: [0]
unicorn/throw-new-error: [2]
use-isnan: [2]
valid-typeof: [2, {requireStringLiterals: true}]

1
.stylelintrc

@ -14,6 +14,7 @@ rules: @@ -14,6 +14,7 @@ rules:
declaration-block-no-redundant-longhand-properties: null
declaration-block-single-line-max-declarations: null
declaration-empty-line-before: null
function-no-unknown: null
hue-degree-notation: null
indentation: 2
max-line-length: null

1851
package-lock.json generated

File diff suppressed because it is too large Load Diff

26
package.json

@ -8,9 +8,9 @@ @@ -8,9 +8,9 @@
},
"dependencies": {
"@claviska/jquery-minicolors": "2.3.6",
"@primer/octicons": "16.3.0",
"@primer/octicons": "16.3.1",
"add-asset-webpack-plugin": "2.0.1",
"codemirror": "5.65.1",
"codemirror": "5.65.2",
"css-loader": "6.6.0",
"dropzone": "6.0.0-beta.2",
"easymde": "2.16.1",
@ -29,7 +29,7 @@ @@ -29,7 +29,7 @@
"monaco-editor-webpack-plugin": "7.0.1",
"pretty-ms": "7.0.1",
"sortablejs": "1.14.0",
"swagger-ui-dist": "4.5.0",
"swagger-ui-dist": "4.5.2",
"tributejs": "5.1.3",
"uint8-to-base64": "0.2.0",
"vue": "2.6.14",
@ -37,27 +37,27 @@ @@ -37,27 +37,27 @@
"vue-calendar-heatmap": "0.8.4",
"vue-loader": "15.9.8",
"vue-template-compiler": "2.6.14",
"webpack": "5.68.0",
"webpack": "5.69.1",
"webpack-cli": "4.9.2",
"workbox-routing": "6.4.2",
"workbox-strategies": "6.4.2",
"workbox-routing": "6.5.0",
"workbox-strategies": "6.5.0",
"worker-loader": "3.0.8",
"wrap-ansi": "8.0.1"
},
"devDependencies": {
"eslint": "8.8.0",
"eslint": "8.9.0",
"eslint-plugin-html": "6.2.0",
"eslint-plugin-import": "2.25.4",
"eslint-plugin-unicorn": "40.1.0",
"eslint-plugin-vue": "8.4.1",
"jest": "27.5.0",
"eslint-plugin-unicorn": "41.0.0",
"eslint-plugin-vue": "8.5.0",
"jest": "27.5.1",
"jest-extended": "2.0.0",
"jest-raw-loader": "1.0.1",
"postcss-less": "6.0.0",
"stylelint": "14.3.0",
"stylelint-config-standard": "24.0.0",
"stylelint": "14.5.3",
"stylelint-config-standard": "25.0.0",
"svgo": "2.8.0",
"updates": "13.0.0"
"updates": "13.0.2"
},
"browserslist": [
"defaults",

Loading…
Cancel
Save